/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author:	UpSolution
Theme URI: http://impreza.us-themes.com/
Author URI: http://us-themes.com/
*/

/*Add your own styles here:*/
body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.ht--generic-image-border {
  border-radius: 64px;
  overflow: hidden;
  -webkit-mask-image: -webkit-radial-gradient(white, black);
}

@supports (corner-shape: squircle) {
  .ht--generic-image-border {
    border-radius: 128px;
    corner-shape: squircle;
  }
}

.ht--generic-image-border img {
  border-radius: 0;
  display: block;
  width: 100%;
}

.ht--64-image-border {
  border-radius: 64px;
  overflow: hidden;
  -webkit-mask-image: -webkit-radial-gradient(white, black);
}

.ht--64-image-border .vc_column-inner {
  border-radius: 64px;
  overflow: hidden;
  -webkit-mask-image: -webkit-radial-gradient(white, black);
}

@supports (corner-shape: squircle) {
  .ht--64-image-border {
    border-radius: 128px;
    corner-shape: squircle;
  }
}

.ht--64-image-border img {
  border-radius: 0;
  display: block;
  width: 100%;
}

.l-subheader.at_middle {
  backdrop-filter: blur(10px);
}
.ht--center-img img {
  margin: 0 auto;
}

.ht--filter__template__catalogo .w-filter-item-reset {
  display: none !important;
}

/* POPUP */
.ht-contatto-form .w-popup-box-h {
  border-radius: 64px;
  overflow: hidden;
  -webkit-mask-image: -webkit-radial-gradient(white, black);
}

@supports (corner-shape: squircle) {
  .ht-contatto-form .w-popup-box-h {
    border-radius: 128px;
    corner-shape: squircle;
  }
}

.ht--collezione-hero-central-text{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.ht--collezione-hero-bottom-text{
  position: absolute;
  bottom: 80px;
  left: 50%;
  transform: translateX(-50%);
}

.sfumatura-ovale{
  -webkit-mask-image: radial-gradient(ellipse at center, black 60%, transparent 70%);
  mask-image: radial-gradient(ellipse at center, black 60%, transparent 70%);
  
  /* Assicurati che il contenitore non mostri elementi fuori dalla maschera */
  overflow: hidden;
}

.ht--cestino-rivenditore{
  max-width: 500px!important;
  margin: 0 auto;
  position: relative;
  margin-top: -90px;
  left: 32px;
}


.ht--64-image-border-no-animation {
  border-radius: 64px;
  overflow: hidden;
  -webkit-mask-image: -webkit-radial-gradient(white, black);
}

.ht--64-image-border-no-animation .vc_column-inner {
  border-radius: 64px;
  overflow: hidden;
  -webkit-mask-image: -webkit-radial-gradient(white, black);
}

@supports (corner-shape: squircle) {
  .ht--64-image-border-no-animation {
    border-radius: 128px;
    corner-shape: squircle;
  }
}

.ht--64-image-border-no-animation img {
  border-radius: 0;
  display: block;
  width: 100%;
}